# Generated by Django 3.2.12 on 2024-03-27 07:31

import ckeditor.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('backend', '0003_observationname'),
    ]

    operations = [
        migrations.CreateModel(
            name='Article',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('en_title', models.CharField(blank=True, max_length=255, null=True)),
                ('id_title', models.CharField(blank=True, max_length=255, null=True)),
                ('author', models.CharField(blank=True, max_length=255, null=True)),
                ('image', models.ImageField(blank=True, null=True, upload_to='articles/')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('en_content', ckeditor.fields.RichTextField(blank=True, null=True)),
                ('id_content', ckeditor.fields.RichTextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Navigation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('en_name', models.CharField(blank=True, max_length=100, null=True)),
                ('id_name', models.CharField(blank=True, max_length=100, null=True)),
                ('order', models.PositiveSmallIntegerField(blank=True, null=True)),
                ('url', models.CharField(blank=True, max_length=100, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField()),
                ('visibility', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Section',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('variant', models.CharField(choices=[('jumbotron', 'Jumbotron'), ('section', 'Section'), ('section_with_button', 'Section with Button'), ('section_with_two_image', 'Section with 2 Image'), ('section_with_three_image', 'Section with 3 Image'), ('section_gallery', 'Section Gallery')], default='jumbotron', max_length=100)),
                ('order', models.PositiveSmallIntegerField()),
                ('en_title', models.CharField(blank=True, max_length=255, null=True)),
                ('id_title', models.CharField(blank=True, max_length=255, null=True)),
                ('en_content', ckeditor.fields.RichTextField(blank=True, null=True)),
                ('id_content', ckeditor.fields.RichTextField(blank=True, null=True)),
                ('button_cta', models.CharField(blank=True, max_length=255, null=True)),
                ('button_url', models.CharField(blank=True, max_length=255, null=True)),
                ('background_color', models.CharField(choices=[('bg-blue', 'bg-blue'), ('bg-lightblue', 'bg-lightblue'), ('bg-white', 'bg-white')], default='bg-blue', max_length=100)),
                ('badge_color', models.CharField(choices=[('bg-yellow', 'bg-yellow'), ('bg-lightblue', 'bg-lightblue')], default='bg-yellow', max_length=100)),
                ('level', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='backend.page')),
            ],
        ),
        migrations.CreateModel(
            name='SubNavigation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('en_name', models.CharField(blank=True, max_length=100, null=True)),
                ('id_name', models.CharField(blank=True, max_length=100, null=True)),
                ('order', models.PositiveSmallIntegerField(blank=True, null=True)),
                ('url', models.CharField(blank=True, max_length=100, null=True)),
                ('navigation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='backend.navigation')),
            ],
        ),
        migrations.CreateModel(
            name='SectionImage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, null=True, upload_to='sections/')),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('description', models.CharField(blank=True, max_length=255, null=True)),
                ('level', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='backend.section')),
            ],
        ),
        migrations.CreateModel(
            name='ArticleTag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('en_tag', models.CharField(blank=True, max_length=100, null=True)),
                ('id_tag', models.CharField(blank=True, max_length=100, null=True)),
                ('article', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='backend.article')),
            ],
        ),
    ]
